/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\shimering effusion\Rare Drop\ShimmeringCrystal.cs
Lines of code: 28
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class ShimmeringCrystal : Item
	{
		[Constructable]
		public ShimmeringCrystal() : base(Utility.RandomMinMax(8710, 8748) )
		{
		
		if (ItemID == 8719 || ItemID == 8729 || ItemID == 8739 || ItemID == 8749) ItemID = 8710;
			Name = "Shimmering Crystals";
			Weight = 2.5;
		}

		public ShimmeringCrystal( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}